<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.enfi.modules.visitor.mapper.IInvitedToRecordMapper">

    <!-- 开启二级缓存 -->
<!--    <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/>-->

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.enfi.modules.visitor.entity.InvitedToRecord">
        <id column="id" property="id" />
        <result column="inviter_id" property="inviterId" />
        <result column="inviter_name" property="inviterName" />
        <result column="inviter_email" property="inviterEmail" />
        <result column="inviter_dept_id" property="inviterDeptId" />
        <result column="inviter_dept_name" property="inviterDeptName" />
        <result column="visit_the_reason" property="visitTheReason" />
        <result column="reception_site" property="receptionSite" />
        <result column="begin_time" property="beginTime" />
        <result column="end_time" property="endTime" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, inviter_id, inviter_name, inviter_email, inviter_dept_id, inviter_dept_name, visit_the_reason, reception_site, begin_time, end_time, create_by, create_time, update_by, update_time
    </sql>

</mapper>
